export * from './colorUtils';
export * from './schemaUtils';
export * from './styledUtils';
var matchOperatorsRe = /[|\\{}()[\]^$+*?.]/g;
export var hashCode = function (text, max) {
    var hash = 0;
    for (var index = 0; index < text.length; index++) {
        hash = text.charCodeAt(index) + ((hash << 5) - hash);
    }
    return (hash >> (text.length * 8)) & max;
};
export var randomString = function (length) {
    if (length === void 0) { length = 16; }
    var text = '';
    var possible = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
    for (var i = 0; i < length; i++) {
        text += possible.charAt(Math.floor(Math.random() * possible.length));
    }
    return text;
};
export var regexEscape = function (str) {
    return str.replace(matchOperatorsRe, '\\$&');
};
