import { __assign, __rest } from "tslib";
import * as React from 'react';
import { Mermaid } from '../../Mermaid';
import { JsonTypes } from '../types';
var MermaidWidget = function (_a) {
    var value = _a.value, schema = _a.schema, uiSchema = _a.uiSchema, props = __rest(_a, ["value", "schema", "uiSchema"]);
    return React.createElement(Mermaid, __assign({ width: "100%" }, props, { value: value.toString() }));
};
MermaidWidget.uiOptions = {};
MermaidWidget.supportedTypes = [JsonTypes.string];
export default MermaidWidget;
